{
  config,
  pkgs,
  lib,
  ...
}: let
  keys = import ../../../variables/keys.nix;
  inherit (import ../../lib/default.nix {inherit (pkgs) lib;}) mkUser;
in {
  users.extraUsers.steveej2 = mkUser {
    uid = 1001;
    openssh.authorizedKeys.keys = keys.users.steveej.openssh;
    passwordFile = config.sops.secrets.sharedUsers-steveej.path;
  };

  nix.settings.trusted-users = ["steveej"];
}
